Index: main/plugin-odf-sync/stylesheets/cdm11/cdmfr2content.xsl
===================================================================
--- main/plugin-odf-sync/stylesheets/cdm11/cdmfr2content.xsl	(revision 31196)
+++ main/plugin-odf-sync/stylesheets/cdm11/cdmfr2content.xsl	(working copy)
@@ -154,6 +154,8 @@
 		<xsl:call-template name="program-expenses"/>
 		<xsl:call-template name="program-domain"/>
 		<xsl:call-template name="program-rncpCode"/>
+		<xsl:call-template name="program-rncpLevel"/>
+		<xsl:call-template name="program-nsfCode"/>
 		<xsl:call-template name="program-siseCode"/>
 		<xsl:call-template name="program-dgesipCode"/>
 		<xsl:call-template name="program-cite97Code"/>
Index: main/plugin-odf-sync/stylesheets/cdm11/program2content.xsl
===================================================================
--- main/plugin-odf-sync/stylesheets/cdm11/program2content.xsl	(revision 31196)
+++ main/plugin-odf-sync/stylesheets/cdm11/program2content.xsl	(working copy)
@@ -214,6 +214,20 @@
 	<xsl:template name="program-rncpCode">
 	</xsl:template>
 	
+	<!-- RNCP Level -->
+    <xsl:template name="program-rncpLevel">
+        <rncpLevel type="string" constant="CODE_NSF">
+            <xsl:value-of select="cdm:infoBlock[@userDefined = 'ametys-extension']/cdm:extension/ametys-cdm:rncpLevel/@value"/>
+        </rncpLevel>
+    </xsl:template>
+	
+	<!-- NSF Code -->
+    <xsl:template name="program-nsfCode">
+        <nsfCode type="string" constant="CODE_NSF">
+            <xsl:value-of select="cdmfr:programCode[@codeSet='codeCNIS-NSF']"/>
+        </nsfCode>
+    </xsl:template>
+	
 	<!-- SISE Code -->
 	<xsl:template name="program-dgesipCode">
 		<dgesipCode type="string" multiple="true" constant="CODE_DGESIP">
Index: main/plugin-odf-sync/stylesheets/cdm112/cdmfr2content.xsl
===================================================================
--- main/plugin-odf-sync/stylesheets/cdm112/cdmfr2content.xsl	(revision 31196)
+++ main/plugin-odf-sync/stylesheets/cdm112/cdmfr2content.xsl	(working copy)
@@ -154,6 +154,8 @@
 		<xsl:call-template name="program-expenses"/>
 		<xsl:call-template name="program-domain"/>
 		<xsl:call-template name="program-rncpCode"/>
+		<xsl:call-template name="program-rncpCode"/>
+        <xsl:call-template name="program-rncpLevel"/>
 		<xsl:call-template name="program-siseCode"/>
 		<xsl:call-template name="program-dgesipCode"/>
 		<xsl:call-template name="program-cite97Code"/>
Index: main/plugin-odf-sync/stylesheets/cdm112/program2content.xsl
===================================================================
--- main/plugin-odf-sync/stylesheets/cdm112/program2content.xsl	(revision 31196)
+++ main/plugin-odf-sync/stylesheets/cdm112/program2content.xsl	(working copy)
@@ -214,6 +214,20 @@
 	<xsl:template name="program-rncpCode">
 	</xsl:template>
 	
+	<!-- RNCP Level -->
+    <xsl:template name="program-rncpLevel">
+        <rncpLevel type="string" constant="CODE_NSF">
+            <xsl:value-of select="cdm:infoBlock[@userDefined = 'ametys-extension']/cdm:extension/ametys-cdm:rncpLevel/@value"/>
+        </rncpLevel>
+    </xsl:template>
+    
+    <!-- NSF Code -->
+    <xsl:template name="program-nsfCode">
+        <nsfCode type="string" constant="CODE_NSF">
+            <xsl:value-of select="cdmfr:programCode[@codeSet='codeCNIS-NSF']"/>
+        </nsfCode>
+    </xsl:template>
+	
 	<!-- SISE Code -->
 	<xsl:template name="program-dgesipCode">
 		<dgesipCode type="string" multiple="true" constant="CODE_DGESIP">
Index: main/plugin-odf-sync/stylesheets/cdmfr2content.xsl
===================================================================
--- main/plugin-odf-sync/stylesheets/cdmfr2content.xsl	(revision 31196)
+++ main/plugin-odf-sync/stylesheets/cdmfr2content.xsl	(working copy)
@@ -154,6 +154,8 @@
 		<xsl:call-template name="program-expenses"/>
 		<xsl:call-template name="program-domain"/>
 		<xsl:call-template name="program-rncpCode"/>
+		<xsl:call-template name="program-rncpCode"/>
+        <xsl:call-template name="program-rncpLevel"/>
 		<xsl:call-template name="program-siseCode"/>
 		<xsl:call-template name="program-dgesipCode"/>
 		<xsl:call-template name="program-cite97Code"/>
Index: main/plugin-odf-sync/stylesheets/program2content.xsl
===================================================================
--- main/plugin-odf-sync/stylesheets/program2content.xsl	(revision 31196)
+++ main/plugin-odf-sync/stylesheets/program2content.xsl	(working copy)
@@ -213,6 +213,20 @@
 	<!-- RNCP Code -->
 	<xsl:template name="program-rncpCode">
 	</xsl:template>
+
+    <!-- RNCP Level -->
+    <xsl:template name="program-rncpLevel">
+        <rncpLevel type="string" constant="CODE_NSF">
+            <xsl:value-of select="cdm:infoBlock[@userDefined = 'ametys-extension']/cdm:extension/ametys-cdm:rncpLevel/@value"/>
+        </rncpLevel>
+    </xsl:template>
+    
+    <!-- NSF Code -->
+    <xsl:template name="program-nsfCode">
+        <nsfCode type="string" constant="CODE_NSF">
+            <xsl:value-of select="cdmfr:programCode[@codeSet='codeCNIS-NSF']"/>
+        </nsfCode>
+    </xsl:template>
 	
 	<!-- SISE Code -->
 	<xsl:template name="program-dgesipCode">