Index: templates/application/WEB-INF/param/admin-ribbon.xml
===================================================================
--- templates/application/WEB-INF/param/admin-ribbon.xml	(revision 0)
+++ templates/application/WEB-INF/param/admin-ribbon.xml	(revision 0)
@@ -0,0 +1,101 @@
+<!--
+   Copyright 2015 Anyware Services
+
+   Licensed under the Apache License, Version 2.0 (the "License");
+   you may not use this file except in compliance with the License.
+   You may obtain a copy of the License at
+
+       http://www.apache.org/licenses/LICENSE-2.0
+
+   Unless required by applicable law or agreed to in writing, software
+   distributed under the License is distributed on an "AS IS" BASIS,
+   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+   See the License for the specific language governing permissions and
+   limitations under the License.
+   -->
+<ribbon  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+         xsi:noNamespaceSchemaLocation="http://ametys.org/cms/3.0/ribbon.xsd">
+    <tabs>
+        <tab label="workspace.admin:RIBBON_ADMIN_TAB_LABEL">
+            <groups>
+                <group label="workspace.admin:RIBBON_WORKSPACE_ADMIN_SECTION_SYSTEM_LABEL" icon="">
+                    <large/>
+                    <medium>
+                        <control id="org.ametys.runtime.plugins.core.Password"/>
+                        <control id="org.ametys.runtime.plugins.core.System"/>
+                        <control id="org.ametys.runtime.plugins.core.Config"/>
+                        <control id="org.ametys.runtime.plugins.core.JVMStatus"/>
+                    </medium>
+                    <small/>
+                </group>
+                <group label="workspace.admin:RIBBON_TABS_TAB_ADMIN_GROUP_GROUP_LOGS_LABEL" icon="">
+                    <large/>
+                    <medium>
+                        <control id="org.ametys.runtime.plugins.core.Logs"/>
+                        <control id="org.ametys.runtime.plugins.core.LogsLevel"/>
+                    </medium>
+                    <small/>
+                </group>
+                <group label="workspace.admin:RIBBON_TABS_TAB_ADMIN_GROUPS_GROUP_USERMANAGEMENT_LABEL" icon="">
+                    <large/>
+                    <medium>
+                        <control id="org.ametys.runtime.plugins.core.Users"/>
+                        <control id="org.ametys.runtime.plugins.core.Groups"/>
+                        <control id="org.ametys.runtime.plugins.core.Profiles"/>
+                        <control id="org.ametys.runtime.plugins.core.SuperUser"/>
+                    </medium>
+                    <small/>
+                </group>
+                <group label="workspace.admin:RIBBON_TABS_TAB_ADMIN_GROUPS_GROUP_SYSTEM_LABEL" icon="">
+                    <large/>
+                    <medium>
+                        <control id="org.ametys.runtime.plugins.core.Plugins"/>
+                    </medium>
+                    <small/>
+                </group>
+            </groups>
+        </tab>
+        <tab id="org.ametys.runtime.plugins.core.LogsTab" label="workspace.admin:RIBBON_LOGS_TAB_LABEL" contextualLabel="workspace.admin:RIBBON_LOGS_TAB_LABEL" contextualColor="4" contextualGroup="ADMIN_LOGS">
+            <groups>
+	            <group label="workspace.admin:RIBBON_TABS_TAB_LOGS_GROUPS_GROUP_ACTIONS" icon="">
+	               <large/>
+	               <medium>
+	                   <control id="org.ametys.runtime.plugins.core.logs.View"/>
+	                   <control id="org.ametys.runtime.plugins.core.logs.Download"/>
+	                   <control id="org.ametys.runtime.plugins.core.logs.Delete"/>
+	                   <control id="org.ametys.runtime.plugins.core.logs.Purge"/>
+	               </medium>
+	               <small/>
+	           </group>
+           </groups>   
+        </tab>
+        <tab id="org.ametys.runtime.plugins.core.LogsLevelTab" label="workspace.admin:RIBBON_LOGS_LEVEL_TAB_LABEL" contextualLabel="workspace.admin:RIBBON_LOGS_LEVEL_TAB_LABEL" contextualColor="4" contextualGroup="ADMIN_LOGS">
+            <groups>
+                <group label="workspace.admin:RIBBON_TABS_TAB_LOGS_GROUPS_GROUP_ACTIONS" icon="">
+                   <large/>
+                   <medium>
+                       <control id="org.ametys.runtime.plugins.core.logslevel.Debug"/>
+                       <control id="org.ametys.runtime.plugins.core.logslevel.Info"/>
+                       <control id="org.ametys.runtime.plugins.core.logslevel.Warn"/>
+                       <control id="org.ametys.runtime.plugins.core.logslevel.Error"/>
+                       <control id="org.ametys.runtime.plugins.core.logslevel.Inherit"/>
+                       <control id="org.ametys.runtime.plugins.core.logslevel.Force"/>
+                   </medium>
+                   <small/>
+               </group>
+           </groups>   
+        </tab>
+        <tab label="workspace.admin:RIBBON_TABS_TAB_DEVELOPPER_LABEL">
+            <groups>
+                <group label="workspace.admin:RIBBON_TABS_TAB_DEVELOPPER_GROUPS_GROUP_TOOLS_LABEL" icon="">
+                    <large/>
+                    <medium>
+                        <control id="org.ametys.runtime.userinterface.MessageTrackerControlMenu"/>
+                        <control id="org.ametys.runtime.userinterface.RequestTrackerControlMenu"/>
+                    </medium>
+                    <small/>
+                </group>
+            </groups>
+        </tab>
+    </tabs>
+</ribbon>
\ No newline at end of file
Index: templates/application/WEB-INF/param/admin-uitools.xml
===================================================================
--- templates/application/WEB-INF/param/admin-uitools.xml	(revision 0)
+++ templates/application/WEB-INF/param/admin-uitools.xml	(revision 0)
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+   Copyright 2015 Anyware Services
+
+   Licensed under the Apache License, Version 2.0 (the "License");
+   you may not use this file except in compliance with the License.
+   You may obtain a copy of the License at
+
+       http://www.apache.org/licenses/LICENSE-2.0
+
+   Unless required by applicable law or agreed to in writing, software
+   distributed under the License is distributed on an "AS IS" BASIS,
+   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+   See the License for the specific language governing permissions and
+   limitations under the License.
+   -->
+<uitool-factories  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
+
+</uitool-factories>
Index: templates/application/WEB-INF/param/runtime.xml
===================================================================
--- templates/application/WEB-INF/param/runtime.xml	(revision 31811)
+++ templates/application/WEB-INF/param/runtime.xml	(working copy)
@@ -27,7 +27,7 @@
     	</exclude>
     </plugins>
 
-    <workspaces default="site"/>
+    <workspaces default="admin"/>
     
     <extensions>
     </extensions>
Index: templates/application/WEB-INF/param/workspace-admin.xml
===================================================================
--- templates/application/WEB-INF/param/workspace-admin.xml	(revision 31811)
+++ templates/application/WEB-INF/param/workspace-admin.xml	(nonexistent)
@@ -1,41 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!--
-   Copyright 2010 Anyware Services
-
-   Licensed under the Apache License, Version 2.0 (the "License");
-   you may not use this file except in compliance with the License.
-   You may obtain a copy of the License at
-
-       http://www.apache.org/licenses/LICENSE-2.0
-
-   Unless required by applicable law or agreed to in writing, software
-   distributed under the License is distributed on an "AS IS" BASIS,
-   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-   See the License for the specific language governing permissions and
-   limitations under the License.
-   -->
-<!-- +
-     | This file configures the administrator page.
-     + -->
-<administrator>
-    <actions>
-        <category name="WORKSPACE_ADMIN_SECTION_SYSTEM_LABEL">
-            <item id="org.ametys.runtime.plugins.core.administrator.Password"/>
-            <item id="org.ametys.runtime.plugins.core.administrator.System"/>
-            <item id="org.ametys.runtime.plugins.core.administrator.Config"/>
-            <item id="org.ametys.runtime.plugins.core.administrator.JVMStatus"/>
-            <item id="org.ametys.runtime.plugins.core.administrator.Logs"/>
-        </category>
-
-        <category name="WORKSPACE_ADMIN_SECTION_USERSMANAGEMENT_LABEL">
-            <item id="org.ametys.runtime.plugins.core.administrator.Users"/>
-            <item id="org.ametys.runtime.plugins.core.administrator.Groups"/>
-            <item id="org.ametys.runtime.plugins.core.administrator.right.Profiles"/>
-            <item id="org.ametys.runtime.plugins.core.administrator.SuperUser"/>
-        </category>
-        
-        <category name="WORKSPACE_ADMIN_SECTION_APPLICATION_LABEL">
-            <item id="org.ametys.runtime.plugins.core.administrator.Plugins"/>
-        </category>
-    </actions>
-</administrator>
\ No newline at end of file