Index: main/plugin-odf/i18n/messages_en.xml
===================================================================
--- main/plugin-odf/i18n/messages_en.xml	(revision 32181)
+++ main/plugin-odf/i18n/messages_en.xml	(working copy)
@@ -441,6 +441,13 @@
 	<message key="PLUGINS_ODF_ADD_ELP_TO_PROGRAM_BY_SEARCH">Search for existing courses</message>
 	<message key="PLUGINS_ODF_ADD_ELP_TO_PROGRAM_BY_CREATION">Create a new course</message>
 	
+	<message key="PLUGINS_ODF_VIEW_MAIN">Main</message>
+    <message key="PLUGINS_ODF_VIEW_MAIN_DESC">All the content fields are displayed.</message>
+    <message key="PLUGINS_ODF_VIEW_ABSTRACT">Abstract</message>
+    <message key="PLUGINS_ODF_VIEW_ABSTRACT_DESC">Displays an abstract of the content, with a link to the full content.</message>
+    <message key="PLUGINS_ODF_VIEW_LINK">Link</message>
+    <message key="PLUGINS_ODF_VIEW_LINK_DESC">Displays a link to the full content.</message>
+    
     <!-- CATALOG --> 
     <message key="PLUGINS_ODF_CATALOG_UITOOL_LABEL">Catalogs</message>
     <message key="PLUGINS_ODF_CATALOG_UITOOL_DESCRIPTION">Handle catalogs</message>
Index: main/plugin-odf/i18n/messages_fr.xml
===================================================================
--- main/plugin-odf/i18n/messages_fr.xml	(revision 32181)
+++ main/plugin-odf/i18n/messages_fr.xml	(working copy)
@@ -442,7 +442,14 @@
 	<message key="PLUGINS_ODF_ADD_ELP_TO_PROGRAM_FOOTER">Voir l'aide pour plus de détails</message>
 	<message key="PLUGINS_ODF_ADD_ELP_TO_PROGRAM_BY_SEARCH">Rechercher des ELPs existants</message>
 	<message key="PLUGINS_ODF_ADD_ELP_TO_PROGRAM_BY_CREATION">Créer un nouvel ELP</message>
-	
+	    
+    <message key="PLUGINS_ODF_VIEW_ABSTRACT">Résumé</message>
+    <message key="PLUGINS_ODF_VIEW_ABSTRACT_DESC">Affiche un résumé du contenu, avec un lien vers le contenu complet.</message>
+    <message key="PLUGINS_ODF_VIEW_MAIN">Complète</message>
+    <message key="PLUGINS_ODF_VIEW_MAIN_DESC">Tous les champs du contenu sont affichés.</message>
+    <message key="PLUGINS_ODF_VIEW_LINK">Lien</message>
+    <message key="PLUGINS_ODF_VIEW_LINK_DESC">Affiche un lien vers le contenu complet.</message>
+    
     <!-- CATALOG --> 
     <message key="PLUGINS_ODF_CATALOG_UITOOL_LABEL">Catalogues</message>
     <message key="PLUGINS_ODF_CATALOG_UITOOL_DESCRIPTION">Outil de gestion des catalogues de formations</message>
Index: main/plugin-odf/plugin.xml
===================================================================
--- main/plugin-odf/plugin.xml	(revision 32144)
+++ main/plugin-odf/plugin.xml	(working copy)
@@ -3597,6 +3597,8 @@
 							<cms:metadata-ref name="attachment-text"/>
 						</cms:metadata-ref>
 						<cms:dublin-core/>
+						<cms:label i18n="true">PLUGINS_ODF_VIEW_MAIN</cms:label>
+                        <cms:description i18n="true">PLUGINS_ODF_VIEW_MAIN_DESC</cms:description>
 	                </cms:metadata-set>
 	                
 	                <cms:metadata-set name="main" type="edition">
@@ -3692,11 +3694,15 @@
 	                <cms:metadata-set name="abstract" type="view">
 	                	<cms:metadata-ref name="title" />
 	                	<cms:metadata-ref name="code" />
+	                	<cms:label i18n="true">PLUGINS_ODF_VIEW_ABSTRACT</cms:label>
+                        <cms:description i18n="true">PLUGINS_ODF_VIEW_ABSTRACT_DESC</cms:description>
 					</cms:metadata-set>
 					
 					<cms:metadata-set name="link" type="view">
 	                	<cms:metadata-ref name="title" />
 	                	<cms:metadata-ref name="code" />
+	                	<cms:label i18n="true">PLUGINS_ODF_VIEW_LINK</cms:label>
+                        <cms:description i18n="true">PLUGINS_ODF_VIEW_LINK_DESC</cms:description>
 					</cms:metadata-set>
 	                
 	                <cms:metadata-set name="details" type="view" internal="true">
@@ -3704,7 +3710,7 @@
 	                	<cms:metadata-ref name="code" />
 	                </cms:metadata-set>
 	                
-	                <cms:metadata-set name="index" type="view">
+	                <cms:metadata-set name="index" type="view" internal="true"> 
 	                	<cms:metadata-ref name="title" />
 	                	<cms:metadata-ref name="keywords" />
 	                	<cms:metadata-ref name="domain" />